Ubuntu

Change log for “xulrunner-2.0” package in Ubuntu

117 of 17 results
Deleted in oneiric-release on 2013-06-04 (Reason: desktop Mozilla rapid release maintenance (LP: #816377))
Obsolete in natty-release on 2013-06-04
Superseded in natty-release on 2011-04-19
xulrunner-2.0 (2.0+nobinonly-0ubuntu1) natty; urgency=low

  * Update to final (FIREFOX_4_0_RELEASE)

  * xulrunner-2.0-dev now conflicts with firefox-dev
    - update debian/control
  * Make sure we install gtkmozembed_glue.cpp again
    - update debian/xulrunner-dev.install.in
  * Fix 2 command-with-path-in-maintainer-script lintian warnings
    - update debian/xulrunner.postinst.in
    - update debian/xulrunner.prerm.in
  * Build with --with-system-jpeg - not sure why this wasn't the case already,
    since we build xulrunner with other system libs
    - update debian/mozconfig.in
  * Override lots of image-file-in-usr-lib lintian warnings
    - update debian/xulrunner.lintian-overrides.in
  * Fix wrong-section-according-to-package-name lintian warning - move
    xulrunner-2.0-dbg to debug
    - update debian/control
  * Fix debug-package-should-be-priority-extra lintian warning
    - update debian/control
  * Fix up some of the substitution variables to be more like the Firefox
    packaging
    - update debian/mozconfig.in
    - update debian/rules
    - update debian/xulrunner-dev.install.in
    - update debian/xulrunner-dev.links.in
    - update debian/xulrunner-gnome-support.install.in
    - update debian/xulrunner-mozjs.install.in
    - update debian/xulrunner.install.in
    - update debian/xulrunner.links.in
    - update debian/xulrunner.lintian-overrides.in
 -- Chris Coulson <email address hidden>   Sat, 02 Apr 2011 01:09:31 +0100
Superseded in natty-release on 2011-04-02
xulrunner-2.0 (2.0~rc1+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 RC1 (FIREFOX_4_0rc1_BUILD1)

  * Fix the SDK install for tree-NSPR builds
    - update debian/xulrunner-dev.install.in
  * Switch to mozilla-2.0
    - update debian/mozclient/xulrunner-2.0.conf
  * Fix dbg-package-missing-depends lintian warning
    - update debian/control
  * Don't build with --disable-elfhack on armel now
    - update debian/rules
  * Fix build on PPC64
    - add debian/patches/64-bit-be-fix.patch
    - add debian/patches/update-assembler-excl-arch-list.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden>   Tue, 15 Mar 2011 01:30:40 +0000
Superseded in natty-release on 2011-03-15
xulrunner-2.0 (2.0~b12+build1+nobinonly-0ubuntu3) natty; urgency=low

  * Add DEB_BUILD_ARCH to the preprocessor defines to fix armel build failure
    - update debian/rules
 -- Chris Coulson <email address hidden>   Tue, 01 Mar 2011 10:19:46 +0000
Superseded in natty-release on 2011-03-01
xulrunner-2.0 (2.0~b12+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Fix a build failure when using system NSPR
    - update debian/xulrunner-dev.install.in
 -- Chris Coulson <email address hidden>   Fri, 25 Feb 2011 03:36:14 +0000
Superseded in natty-release on 2011-02-25
xulrunner-2.0 (2.0~b12+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B12 (FIREFOX_4_0b12_BUILD1)

  * Tidy up install files
    - update debian/xulrunner.install.in
    - update debian/xulrunner-dev.install.in
  * Symlink the cairo headers when built with system cairo
    - update debian/xulrunner-dev.install.in
    - update debian/xulrunner-dev.links.in
    - update debian/rules
  * Build with --disable-elf-hack on armel and powerpc
    - update debian/rules
    - update debian/mozconfig.in
  * Add DEP-3 compliant headers to all of our patches, and drop the
    bug numbers we carried in filenames. Some of the filenames are so long
    that we get constant lintian warnings about long lines in the changelog
  * Drop bzXXX_fix_test_suite_bashisms.patch - we're running the test-suite
    in Firefox rather than here
    - remove debian/patches/bzXXX_fix_test_suite_bashisms.patch
    - update debian/patches/series
  * Quieten embedded-zlib and embedded-libjpeg lintian errors. These aren't
    really errors, as we're intentionally embedding copies here
    - update debian/rules
    - add debian/xulrunner.lintian-overrides.in
  * Refresh patches:
    - update debian/patches/add-syspref-dir.patch
  * Fix build on armel, make sure we install $(INCDIR)/tremor
    - update debian/xulrunner-dev.install.in
  * Check for tee surface support when deciding whether to use tree or
    system cairo
    - update debian/rules
  * Add ipc/app/defs.mk to build-system.tar.gz, Fennec needs this
    - update debian/create-build-system.sh
 -- Chris Coulson <email address hidden>   Fri, 25 Feb 2011 01:26:48 +0000
Superseded in natty-release on 2011-02-25
xulrunner-2.0 (2.0~b11+build3+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B11 (FIREFOX_4_0b11_BUILD3)

  * Fix SDK install with "make install". Add patch to ensure the contents
    of $(sdkdir)/sdk/bin are installed. Only install nspr-config in to
    $(sdkdir)/sdk/bin for native-NSPR builds, and add a symlink for
    non-native builds
    - add debian/patches/bzXXX_fix_sdk_bin_install.patch
    - update debian/patches/series
    - update debian/xulrunner-dev.install.in
    - update sdebian/xulrunner-dev.links.in
  * Add services/crypto to build-system.tar.gz. It's needed by Fennec for
    Sync, and currently isn't shareable from xulrunner
    - update debian/create-build-system.sh
 -- Chris Coulson <email address hidden>   Mon, 07 Feb 2011 16:33:41 +0000
Superseded in natty-release on 2011-02-07
xulrunner-2.0 (2.0~b10+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Install the GRE registration file in the right place this time
    - update debian/xulrunner.install.in
    - update debian/rules
    - update debian/xulrunner.preinst.in
    - update debian/xulrunner.dirs.in
  * Update SDK layout to match the upstream provided SDK. Ship a new
    sdk/bin folder where the build system expects to find nspr-config.
    This fixes a build failure with Fennec since the landing of
    bmo: #600435 aka XULRunner universal for i386/x64_64 fails to
    unify nspr-config
    - update debian/rules
    - add debian/xulrunner-dev.dirs.in
    - update debian/xulrunner-dev.links.in
 -- Chris Coulson <email address hidden>   Wed, 26 Jan 2011 19:13:16 +0000
Superseded in natty-release on 2011-01-26
xulrunner-2.0 (2.0~b10+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B10 (FIREFOX_4_0b10_BUILD1)

  * Add extra files to build-system.tar.gz, needed by fennec
    - update debian/create-build-system.sh
  * Use a stable filename for the GRE registration file. This avoids having
    to do a fragile conffile migration on every minor update, and will
    hopefully avoid issues like LP: #568876
    - update debian/xulrunner.install.in
    - update debian/xulrunner.preinst.in
  * Don't touch $LIBDIR/.autoreg on upgrade now, as it doesn't do anythin
    in Gecko 2.0. This also removes a call to /usr/bin/xulrunner from
    the postinst script, and will stop the frequent upgrade failures
    we keep seeing
    - update debian/xulrunner.postinst.in
  * Take out the en-US-xpi template generation, we aren't even distributing
    translations for this at the moment
    - update debian/rules
    - remove debian/translation-support/install.rdf.in
  * Don't make DEB_ENABLE_THUMB2 configurable, this should just be totally
    automatic
    - update debian/rules
 -- Chris Coulson <email address hidden>   Tue, 25 Jan 2011 14:49:09 +0000
Superseded in natty-release on 2011-01-25
xulrunner-2.0 (2.0~b9+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Build with tree cairo for now, as it fails to build with the system
    cairo version. This is a workaround for now so we can build globalmenu
    with a B9 build, as I don't have time to investigate this right now
    - update debian/rules
 -- Chris Coulson <email address hidden>   Wed, 12 Jan 2011 14:46:51 -0600
Superseded in natty-release on 2011-01-12
xulrunner-2.0 (2.0~b9+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B9 (FIREFOX_4_0b9_BUILD1)

  [ Micah Gersten <email address hidden> ]
  * Bump minimum system sqlite to 3.7.3 after upstream landing of (bmo: 598306)
    aka Upgrade to SQLite 3.7.3
    - update debian/rules
  * fix LP: #696895 - FTBFS on armel; Add DEB_ENABLE_THUMB2 to debian/rules to
    add --enable-thumb2 to mozconfig only on arm to build for armv7
    - update debian/rules
    - update debian/mozconfig.in

  [ Chris Coulson <email address hidden> ]
  * Add other needed files to the Gecko build system we ship in the SDK,
    based on work from the globalmenu-extension
    - update debian/create-build-system.sh
 -- Chris Coulson <email address hidden>   Wed, 12 Jan 2011 11:54:53 -0600
Superseded in natty-release on 2011-01-12
xulrunner-2.0 (2.0~b8+build1+nobinonly-0ubuntu2) natty; urgency=low

  * Fix LP: #695166 - libxul-embedding.pc is broken
    - update debian/rules
  * Tighten dependency on xulrunner-2.0-mozjs
    - update debian/control.pp
 -- Chris Coulson <email address hidden>   Wed, 29 Dec 2010 21:54:59 +0000
Superseded in natty-release on 2010-12-29
xulrunner-2.0 (2.0~b8+build1+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B8 (FIREFOX_4_0b8_BUILD1)

  [ Chris Coulson <email address hidden> ]
  * Set GREMinVer and GREMaxVer variables in the libxul-embedding pkg-config
    file. We can use this in embedders to set the constraints we want on
    the supported GRE version (which currently should be that applications
    in Natty only work with 2.0. This will make future transitions
    easier when we add new Gecko versions as a security update, as we won't
    break a whole bunch of applications that try to use the latest version
    when they don't support it)
    - update debian/rules
  * Support debug builds. By setting "debug" in DEB_BUILD_OPTIONS, xulrunner
    will build with --enable-debug and --disable-optimize
    - update debian/rules
    - update debian/mozconfig.in

  [ Micah Gersten <email address hidden> ]
  * Bump minimum system NSS to 3.12.9 and NSPR to 4.8.7 after upstream landing
    of configure patch from (bmo: 599324) aka Mozilla upgrade to NSS 3.12.9
    - update debian/rules
 -- Micah Gersten <email address hidden>   Sun, 19 Dec 2010 20:51:29 -0600
Superseded in natty-release on 2010-12-20
xulrunner-2.0 (2.0~b7+nobinonly-0ubuntu5) natty; urgency=low

  * Make libnspr4-dev and libnss3-dev binary depends dynamic, based
    on whether we build with internal or external libs
    - update debian/control.pp
    - update debian/rules
  * Only add the Cflags hack to libxul-embedding.pc. All the other pkg-config
    files have the correct Requires. We can't add a Requires: nspr to
    libxul-embedding, as we don't want the linker flags
    - update debian/rules
  * Install all available pkg-config files (which will include mozilla-nspr
    and mozilla-nss if the build fell back to in-tree libs)
    - update debian/xulrunner-dev.install.in
  * Add libmozalloc.so symlink to the SDK, dependent applications now need
    this for the new allocator functions
    - update debian/xulrunner-dev.links.in
  * Add -lmozalloc to Libs: in libxul.pc
    - update debian/rules
 -- Chris Coulson <email address hidden>   Fri, 26 Nov 2010 01:48:19 +0000
Superseded in natty-release on 2010-11-26
xulrunner-2.0 (2.0~b7+nobinonly-0ubuntu4) natty; urgency=low

  * Modify the pkg-config files to add ${includedir}/nspr to Cflags
    - update debian/rules
  * Add dh_xulrunner to package from xulrunner-1.9.2
    - add debian/dh/dh_xulrunner.in
    - add debian/dh/xulrunner.pm
    - add debian/xulrunner-dev.manpages.in
    - update debian/rules
 -- Chris Coulson <email address hidden>   Thu, 25 Nov 2010 14:21:39 +0000
Superseded in natty-release on 2010-11-25
xulrunner-2.0 (2.0~b7+nobinonly-0ubuntu3) natty; urgency=low

  * Really make sure that -pie is switched off in the Natty build for now
    - update debian/rules
 -- Chris Coulson <email address hidden>   Tue, 23 Nov 2010 17:13:11 +0000
Superseded in natty-release on 2010-11-23
xulrunner-2.0 (2.0~b7+nobinonly-0ubuntu2) natty; urgency=low

  * Only build with --enable-ipc on architectures that support it
    - update debian/rules
    - update debian/mozconfig.in
    - update debian/xulrunner.install.in
  * Add xulrunner-dev package
    - update debian/control.pp
  * Add a xulrunner-2.0-mozjs package, which can be used by applications
    just requiring a JS engine. Note that libmozjs.so won't be installed in
    a location where the linker can find it, so applications will still need
    to find it and do the LD_LIBRARY_PATH hack
    - update debian/control.pp
    - add debian/xulrunner-mozjs.install.in
    - update debian/xulrunner.install.in
 -- Chris Coulson <email address hidden>   Tue, 23 Nov 2010 15:41:05 +0000
Superseded in natty-release on 2010-11-23
Superseded in natty-release on 2010-11-23
xulrunner-2.0 (2.0~b7+nobinonly-0ubuntu1) natty; urgency=low

  * New upstream release v2.0 B7 (FIREFOX_4_0b7_RELEASE)

  [ Fabien Tassin <email address hidden> ]
  * Add mesa-common-dev to Build-Depends, it's needed for WebGL (see bmo 516213)
    - update debian/control
  * greprefs has been renamed to greprefs.js
    - update debian/xulrunner-2.0.install
  * Update the main install file as some res/ files have been removed upstream
    - update debian/xulrunner-2,0.install
  * Enable gio, replacing gnomevfs
    - update debian/rules
  * Use all available CPUs/cores during build, so we take less build cycles
    - update debian/rules
  * Drop components/libimgicon.so from the install file, it's gone
    - update debian/xulrunner-2.0.install

  [ Micah Gersten <email address hidden> ]
  * Rebase patches
    - update debian/patches/bzXXX_plugin_for_mimetype_pref.patch
    - update debian/patches/add_syspref_dir.patch
    - update debian/patches/system_path_launch_child.patch
    - update debian/patches/bz467751_att351167_sysplugin_xre_part.patch
    - update debian/patches/bz467766_att351173-dont-reset-user-prefs-on-upgrade.patch
    - update debian/patches/bz466923_att350251_password_prompt_branding_fallback.patch
  * Add yasm to build-depends to help with libvpx optimization (see bmo: 567302)
    - update debian/control
  * Bump minimum system cairo to 1.10 in advance of landing of (bmo: 595805)
    aka Update required cairo version to 1.10
    - update debian/rules

  [ Draycen DeCator <email address hidden> ]
  * Rebase patches
    - update debian/patches/add_syspref_dir.patch
    - update debian/patches/bz467751_att351167_sysplugin_xre_part.patch

  [ Chris Coulson <email address hidden> ]
  * Auto-generate debian/control, substituting in the correct package name
    - update debian/control
    - add debian/control.pp
    - update debian/rules
  * Build using a mozconfig rather than using an explicit configure step. This
    aligns with what we're doing in Firefox
    - add debian/mozconfig.in
    - update debian/rules
  * Drop superfluous files
    - remove debian/xulrunner-2.0-dev.install.i386.pp
    - remove debian/xulrunner-2.0-dev.install.lpia.pp
  * Drop bits used for pyxpcom
    - remove debian/xulrunner-2.0.postrm.in
  * Auto-generate debhelper files and move dh_link and dh_install calls
    from debian/rules to these
    - rename debian/xulrunner-2.0-dev.install => debian/xulrunner-dev.install.in
    - update debian/xulrunner-dev.install.in
    - add debian/xulrunner-dev.links.in
    - rename debian/xulrunner-2.0-gnome-support.install =>
       debian/xulrunner-gnome-support.install.in
    - update debian/xulrunner-gnome-support.install.in
    - rename debian/xulrunner-2.0-gnome-support.postinst =>
       debian/xulrunner-gnome-support.postinst.in
    - rename debian/xulrunner-2.0.dirs => debian/xulrunner.dirs.in
    - update debian/xulrunner.dirs.in
    - rename debian/xulrunner-2.0.install => debian/xulrunner.install.in
    - update debian/xulrunner.install.in
    - add debian/xulrunner.links.in
    - rename debian/xulrunner-2.0.postinst.in => debian/xulrunner.postinst.in
    - rename debian/xulrunner-2.0.preinst.in => debian/xulrunner.preinst.in
    - rename debian/xulrunner-2.0.prerm.in => debian/xulrunner.prerm.in
    - update debian/rules
  * Drop postinst hook to clean up files in /etc/ld.so.conf.d, there should
    be no upgrade path that requires this
    - update debian/xulrunner.postinst.in
  * Drop unneeded or obsolete patches
    - remove debian/patches/bzXXX_urlclassifier_prefs_in_toolkit.patch
    - remove debian/patches/bz467751_att351167_sysplugin_xre_part.patch
    - remove debian/patches/system_path_launch_child.patch
    - remove debian/patches/testsuite_skip_tests_depending_on_utf8.patch
    - remove debian/patches/bz473629_lp319480_leak_setenv_apprunner.patch
    - update debian/patches/series
  * Don't build with -pie on Natty (LP: #663294)
    - update debian/rules
    - update debian/control.pp
  * Don't use a source patch to replace the so files in the SDK with
    sym-links, do this all in the packaging instead
    - remove debian/patches/dont_install_so_in_dev.patch
    - update debian/patches/series
    - update debian/xulrunner-dev.install.in
    - update debian/xulrunner-dev.links.in
  * Build with --enable-shared-js to build libmozjs again, so we don't
    force things like gnome-shell and couch to pull in the whole Mozilla runtime
    - update debian/mozconfig.in
  * Install the top-level chrome.manifest
    - update debian/xulrunner.install.in
  * Add a symlink to the system dictionaries rather than shipping our own
    - update debian/xulrunner.install.in
    - update debian/xulrunner.links.in
  * Refresh patches:
    - update debian/patches/bz467738_att351145_lockPref_everywhere.patch
  * Drop the *-testsuite packages for now. We're running the test-suite in
    firefox, and the test-suite binaries are of limited use with a built
    source tree
    - update debian/control
    - remove debian/xulrunner-testsuite-2.0.install
    - remove debian/xulrunner-testsuite-2.0-dev.install
    - update debian/rules
 -- Chris Coulson <email address hidden>   Wed, 17 Nov 2010 22:46:55 +0000
117 of 17 results